cancel
Showing results for 
Search instead for 
Did you mean: 

About DisplayContext.DisplayCircle(point, matrix, rad, true);

int this function displayEvent.DisplayContext.DisplayCircle(point, matrix, rad, true);

what is exact meaning of point,matrix?

in Our case plane pararllel to XY plane in wcs,Circle is correct.

but other case i.e plane parallel to ZX plane circle is placed at wrong position.

you can refer attached snapshots.png.

 

please explain in details

 

5 REPLIES

Re: About DisplayContext.DisplayCircle(point, matrix, rad, true);

Phenom
Phenom

According to the help docs, the point location is relative to the CSYS that you have defined by the specified matrix argument. Is the datum csys in your pic located at the part's absolute coordinate system? If not, where is it oriented (center and vectors)? Also, what values have you passed in to the .DisplayCircle function?

Re: About DisplayContext.DisplayCircle(point, matrix, rad, true);

Siemens Phenom Siemens Phenom
Siemens Phenom

Public Sub DisplayCircle(center As NXOpen.Point3d, original As NXOpen.Matrix3x3, radius As Double, filled As Boolean)

Member of NXOpen.UserDefinedObjects.UserDefinedObjectDisplayContext

Summary:

Displays a circle for a NXOpen.UserDefinedObjects.UserDefinedObject.

 

Parameters:

center: Center of the arc (absolute coordinates transformed by the orientation matrix)

original: Orientation matrix for the arc.

radius: Radius of the arc. Must be greater than zero.

filled: True if the interior of the circle is solid filled, otherwise the interior is not filled

 

Remarks:

The circle will be created in a plane which is normal to the Z axis of the orientation matrix. (matrix[0-2] is the X axis of the orientation matrix, matrix[3-5] is the Y axis of the orientation matrix, and matrix[6-8] is the Z axis of the orientation matrix.)

 

Re: About DisplayContext.DisplayCircle(point, matrix, rad, true);

what is difference between WCS and AbWS

Re: About DisplayContext.DisplayCircle(point, matrix, rad, true);

I have uploaded file “SimpleUdo.zip”. It contains source code which can be debugged. You can run its dll through File->Execute->NXopen->simpleUDO.dll

After clicking simpleUDO.dll, it will ask to select screen position after selecting screen position udo will be created in point & Circle form.But Circle is displayed at another location.Please let me know if I am doing something wrong in displaying circle.

Please let us know if more information is required.

Re: About DisplayContext.DisplayCircle(point, matrix, rad, true);

Siemens Phenom Siemens Phenom
Siemens Phenom

The code is executing exactly as documented. Please pay close attention to the documentation for the Center parameter:

 

center: Center of the arc (absolute coordinates transformed by the orientation matrix)

 

I'm not sure why the method was designed this way, but the center of the circle will not be coincident with the coordinates of the centerpoint if the orientation matrix is not aligned with the part csys.